<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>peer-review-system documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="./images/favicon.ico">
	      <link rel="stylesheet" href="./styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="./" class="navbar-brand">peer-review-system documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content overview">
                   <div class="content-data">


<ol class="breadcrumb">
    <li>Overview</li>
</ol>
  
<div class="text-center module-graph-container">
    <div id="module-graph-svg">
        <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: dependencies Pages: 1 -->
<svg width="4159pt" height="360pt"
 viewBox="0.00 0.00 4159.00 360.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 356)">
<title>dependencies</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-356 4155,-356 4155,4 -4,4"/>
<text text-anchor="start" x="2054.5091" y="-42.4" font-family="sans-serif" font-weight="bold" font-size="14.00" fill="#000000">Legend</text>
<polygon fill="#ffffb3" stroke="transparent" points="1841.5,-10 1841.5,-30 1861.5,-30 1861.5,-10 1841.5,-10"/>
<text text-anchor="start" x="1865.129" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Declarations</text>
<polygon fill="#8dd3c7" stroke="transparent" points="1954.5,-10 1954.5,-30 1974.5,-30 1974.5,-10 1954.5,-10"/>
<text text-anchor="start" x="1978.2251" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Module</text>
<polygon fill="#80b1d3" stroke="transparent" points="2040.5,-10 2040.5,-30 2060.5,-30 2060.5,-10 2040.5,-10"/>
<text text-anchor="start" x="2064.2812" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Bootstrap</text>
<polygon fill="#fdb462" stroke="transparent" points="2137.5,-10 2137.5,-30 2157.5,-30 2157.5,-10 2137.5,-10"/>
<text text-anchor="start" x="2161.1732" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Providers</text>
<polygon fill="#fb8072" stroke="transparent" points="2233.5,-10 2233.5,-30 2253.5,-30 2253.5,-10 2233.5,-10"/>
<text text-anchor="start" x="2257.2258" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Exports</text>
<g id="clust1" class="cluster">
<title>cluster_AppModule</title>
<polygon fill="none" stroke="#000000" stroke-dasharray="1,5" points="649,-146 649,-344 2264,-344 2264,-146 649,-146"/>
</g>
<g id="clust2" class="cluster">
<title>cluster_AppModule_declarations</title>
<polygon fill="none" stroke="#000000" points="879,-154 879,-206 1882,-206 1882,-154 879,-154"/>
</g>
<g id="clust10" class="cluster">
<title>cluster_AppModule_imports</title>
<polygon fill="none" stroke="#000000" points="1890,-154 1890,-206 2256,-206 2256,-154 1890,-154"/>
</g>
<g id="clust12" class="cluster">
<title>cluster_AppModule_bootstrap</title>
<polygon fill="none" stroke="#000000" points="1388,-284 1388,-336 1512,-336 1512,-284 1388,-284"/>
</g>
<g id="clust13" class="cluster">
<title>cluster_AppModule_providers</title>
<polygon fill="none" stroke="#000000" points="657,-154 657,-206 871,-206 871,-154 657,-154"/>
</g>
<g id="clust20" class="cluster">
<title>cluster_AuthModule</title>
<polygon fill="none" stroke="#000000" stroke-dasharray="1,5" points="8,-146 8,-271 641,-271 641,-146 8,-146"/>
</g>
<g id="clust21" class="cluster">
<title>cluster_AuthModule_declarations</title>
<polygon fill="none" stroke="#000000" points="16,-154 16,-206 633,-206 633,-154 16,-154"/>
</g>
<g id="clust30" class="cluster">
<title>cluster_CoreModule</title>
<polygon fill="none" stroke="#000000" stroke-dasharray="1,5" points="1558,-70 1558,-138 2372,-138 2372,-70 1558,-70"/>
</g>
<g id="clust35" class="cluster">
<title>cluster_CoreModule_providers</title>
<polygon fill="none" stroke="#000000" points="1566,-78 1566,-130 2364,-130 2364,-78 1566,-78"/>
</g>
<g id="clust36" class="cluster">
<title>cluster_ReviewUnitModule</title>
<polygon fill="none" stroke="#000000" stroke-dasharray="1,5" points="2272,-146 2272,-271 3339,-271 3339,-146 2272,-146"/>
</g>
<g id="clust37" class="cluster">
<title>cluster_ReviewUnitModule_declarations</title>
<polygon fill="none" stroke="#000000" points="2280,-154 2280,-206 3331,-206 3331,-154 2280,-154"/>
</g>
<g id="clust48" class="cluster">
<title>cluster_SharedModule</title>
<polygon fill="none" stroke="#000000" stroke-dasharray="1,5" points="2380,-70 2380,-138 2682,-138 2682,-70 2380,-70"/>
</g>
<g id="clust49" class="cluster">
<title>cluster_SharedModule_declarations</title>
<polygon fill="none" stroke="#000000" points="2388,-78 2388,-130 2674,-130 2674,-78 2388,-78"/>
</g>
<g id="clust56" class="cluster">
<title>cluster_TeamsModule</title>
<polygon fill="none" stroke="#000000" stroke-dasharray="1,5" points="3347,-146 3347,-271 3665,-271 3665,-146 3347,-146"/>
</g>
<g id="clust57" class="cluster">
<title>cluster_TeamsModule_declarations</title>
<polygon fill="none" stroke="#000000" points="3355,-154 3355,-206 3657,-206 3657,-154 3355,-154"/>
</g>
<g id="clust64" class="cluster">
<title>cluster_UsersModule</title>
<polygon fill="none" stroke="#000000" stroke-dasharray="1,5" points="3673,-146 3673,-271 4143,-271 4143,-146 3673,-146"/>
</g>
<g id="clust65" class="cluster">
<title>cluster_UsersModule_declarations</title>
<polygon fill="none" stroke="#000000" points="3681,-154 3681,-206 4135,-206 4135,-154 3681,-154"/>
</g>
<!-- AppComponent -->
<g id="node1" class="node">
<title>AppComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="1430.9399,-198 1325.0601,-198 1325.0601,-162 1430.9399,-162 1430.9399,-198"/>
<text text-anchor="middle" x="1378" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">AppComponent</text>
</g>
<!-- AppModule -->
<g id="node8" class="node">
<title>AppModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="1491.6571,-263 1488.6571,-267 1467.6571,-267 1464.6571,-263 1408.3429,-263 1408.3429,-227 1491.6571,-227 1491.6571,-263"/>
<text text-anchor="middle" x="1450" y="-240.8" font-family="Times,serif" font-size="14.00" fill="#000000">AppModule</text>
</g>
<!-- AppComponent&#45;&gt;AppModule -->
<g id="edge1" class="edge">
<title>AppComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M1419.4457,-198.1061C1419.4457,-198.1061 1419.4457,-216.991 1419.4457,-216.991"/>
<polygon fill="#000000" stroke="#000000" points="1415.9457,-216.9909 1419.4457,-226.991 1422.9457,-216.991 1415.9457,-216.9909"/>
</g>
<!-- FooterComponent -->
<g id="node2" class="node">
<title>FooterComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="1306.8809,-198 1189.1191,-198 1189.1191,-162 1306.8809,-162 1306.8809,-198"/>
<text text-anchor="middle" x="1248" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">FooterComponent</text>
</g>
<!-- FooterComponent&#45;&gt;AppModule -->
<g id="edge2" class="edge">
<title>FooterComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M1248,-198.2396C1248,-213.5706 1248,-233 1248,-233 1248,-233 1398.1455,-233 1398.1455,-233"/>
<polygon fill="#000000" stroke="#000000" points="1398.1455,-236.5001 1408.1455,-233 1398.1454,-229.5001 1398.1455,-236.5001"/>
</g>
<!-- HomeComponent -->
<g id="node3" class="node">
<title>HomeComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="1170.5451,-198 1055.4549,-198 1055.4549,-162 1170.5451,-162 1170.5451,-198"/>
<text text-anchor="middle" x="1113" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">HomeComponent</text>
</g>
<!-- HomeComponent&#45;&gt;AppModule -->
<g id="edge3" class="edge">
<title>HomeComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M1113,-198.0336C1113,-215.0597 1113,-238 1113,-238 1113,-238 1398.3392,-238 1398.3392,-238"/>
<polygon fill="#000000" stroke="#000000" points="1398.3392,-241.5001 1408.3392,-238 1398.3392,-234.5001 1398.3392,-241.5001"/>
</g>
<!-- LoggedUserComponent -->
<g id="node4" class="node">
<title>LoggedUserComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="1037.0267,-198 886.9733,-198 886.9733,-162 1037.0267,-162 1037.0267,-198"/>
<text text-anchor="middle" x="962" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">LoggedUserComponent</text>
</g>
<!-- LoggedUserComponent&#45;&gt;AppModule -->
<g id="edge4" class="edge">
<title>LoggedUserComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M987.0877,-198.2222C987.0877,-216.8285 987.0877,-243 987.0877,-243 987.0877,-243 1398.1032,-243 1398.1032,-243"/>
<polygon fill="#000000" stroke="#000000" points="1398.1032,-246.5001 1408.1032,-243 1398.1031,-239.5001 1398.1032,-246.5001"/>
</g>
<!-- LoggedUserComponent&#45;&gt;AppModule -->
<g id="edge5" class="edge">
<title>LoggedUserComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M936.9123,-198.2228C936.9123,-218.3652 936.9123,-248 936.9123,-248 936.9123,-248 1398.0119,-248 1398.0119,-248"/>
<polygon fill="#000000" stroke="#000000" points="1398.0119,-251.5001 1408.0119,-248 1398.0118,-244.5001 1398.0119,-251.5001"/>
</g>
<!-- NavComponent -->
<g id="node5" class="node">
<title>NavComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="1874.1542,-198 1769.8458,-198 1769.8458,-162 1874.1542,-162 1874.1542,-198"/>
<text text-anchor="middle" x="1822" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">NavComponent</text>
</g>
<!-- NavComponent&#45;&gt;AppModule -->
<g id="edge6" class="edge">
<title>NavComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M1822,-198.0091C1822,-214.0494 1822,-235 1822,-235 1822,-235 1501.95,-235 1501.95,-235"/>
<polygon fill="#000000" stroke="#000000" points="1501.95,-231.5001 1491.95,-235 1501.95,-238.5001 1501.95,-231.5001"/>
</g>
<!-- NotFoundComponent -->
<g id="node6" class="node">
<title>NotFoundComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="1752.1122,-198 1613.8878,-198 1613.8878,-162 1752.1122,-162 1752.1122,-198"/>
<text text-anchor="middle" x="1683" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">NotFoundComponent</text>
</g>
<!-- NotFoundComponent&#45;&gt;AppModule -->
<g id="edge7" class="edge">
<title>NotFoundComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M1683,-198.1243C1683,-212.7832 1683,-231 1683,-231 1683,-231 1501.9248,-231 1501.9248,-231"/>
<polygon fill="#000000" stroke="#000000" points="1501.9249,-227.5001 1491.9248,-231 1501.9248,-234.5001 1501.9249,-227.5001"/>
</g>
<!-- ServerErrorComponent -->
<g id="node7" class="node">
<title>ServerErrorComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="1595.9003,-198 1448.0997,-198 1448.0997,-162 1595.9003,-162 1595.9003,-198"/>
<text text-anchor="middle" x="1522" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">ServerErrorComponent</text>
</g>
<!-- ServerErrorComponent&#45;&gt;AppModule -->
<g id="edge8" class="edge">
<title>ServerErrorComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M1470.0642,-198.1061C1470.0642,-198.1061 1470.0642,-216.991 1470.0642,-216.991"/>
<polygon fill="#000000" stroke="#000000" points="1466.5642,-216.9909 1470.0642,-226.991 1473.5642,-216.991 1466.5642,-216.9909"/>
</g>
<!-- AppComponent  -->
<g id="node12" class="node">
<title>AppComponent </title>
<polygon fill="#80b1d3" stroke="#000000" points="1504.439,-328 1395.561,-328 1395.561,-292 1504.439,-292 1504.439,-328"/>
<text text-anchor="middle" x="1450" y="-305.8" font-family="Times,serif" font-size="14.00" fill="#000000">AppComponent </text>
</g>
<!-- AppModule&#45;&gt;AppComponent  -->
<g id="edge12" class="edge">
<title>AppModule&#45;&gt;AppComponent </title>
<path fill="none" stroke="#000000" stroke-dasharray="1,5" d="M1450,-263.1061C1450,-263.1061 1450,-281.991 1450,-281.991"/>
<polygon fill="#000000" stroke="#000000" points="1446.5001,-281.9909 1450,-291.991 1453.5001,-281.991 1446.5001,-281.9909"/>
</g>
<!-- AppRoutingModule -->
<g id="node9" class="node">
<title>AppRoutingModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="2026.2744,-198 2023.2744,-202 2002.2744,-202 1999.2744,-198 1897.7256,-198 1897.7256,-162 2026.2744,-162 2026.2744,-198"/>
<text text-anchor="middle" x="1962" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">AppRoutingModule</text>
</g>
<!-- AppRoutingModule&#45;&gt;AppModule -->
<g id="edge9" class="edge">
<title>AppRoutingModule&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M1962,-198.0225C1962,-215.3734 1962,-239 1962,-239 1962,-239 1501.8991,-239 1501.8991,-239"/>
<polygon fill="#000000" stroke="#000000" points="1501.8991,-235.5001 1491.8991,-239 1501.8991,-242.5001 1501.8991,-235.5001"/>
</g>
<!-- CoreModule -->
<g id="node10" class="node">
<title>CoreModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="2131.2619,-198 2128.2619,-202 2107.2619,-202 2104.2619,-198 2044.7381,-198 2044.7381,-162 2131.2619,-162 2131.2619,-198"/>
<text text-anchor="middle" x="2088" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">CoreModule</text>
</g>
<!-- CoreModule&#45;&gt;AppModule -->
<g id="edge10" class="edge">
<title>CoreModule&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M2088,-198.2222C2088,-216.8285 2088,-243 2088,-243 2088,-243 1501.861,-243 1501.861,-243"/>
<polygon fill="#000000" stroke="#000000" points="1501.861,-239.5001 1491.861,-243 1501.8609,-246.5001 1501.861,-239.5001"/>
</g>
<!-- SharedModule -->
<g id="node11" class="node">
<title>SharedModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="2248.4231,-198 2245.4231,-202 2224.4231,-202 2221.4231,-198 2149.5769,-198 2149.5769,-162 2248.4231,-162 2248.4231,-198"/>
<text text-anchor="middle" x="2199" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">SharedModule</text>
</g>
<!-- SharedModule&#45;&gt;AppModule -->
<g id="edge11" class="edge">
<title>SharedModule&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M2215.4037,-198.308C2215.4037,-218.1455 2215.4037,-247 2215.4037,-247 2215.4037,-247 1501.695,-247 1501.695,-247"/>
<polygon fill="#000000" stroke="#000000" points="1501.695,-243.5001 1491.695,-247 1501.6949,-250.5001 1501.695,-243.5001"/>
</g>
<!-- AuthModule -->
<g id="node18" class="node">
<title>AuthModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="413.5482,-263 410.5482,-267 389.5482,-267 386.5482,-263 326.4518,-263 326.4518,-227 413.5482,-227 413.5482,-263"/>
<text text-anchor="middle" x="370" y="-240.8" font-family="Times,serif" font-size="14.00" fill="#000000">AuthModule</text>
</g>
<!-- SharedModule&#45;&gt;AuthModule -->
<g id="edge18" class="edge">
<title>SharedModule&#45;&gt;AuthModule</title>
<path fill="none" stroke="#000000" d="M2166.1926,-198.0579C2166.1926,-202.4945 2166.1926,-206 2166.1926,-206 2166.1926,-206 384.5912,-206 384.5912,-206 384.5912,-206 384.5912,-216.8701 384.5912,-216.8701"/>
<polygon fill="#000000" stroke="#000000" points="381.0913,-216.8701 384.5912,-226.8701 388.0913,-216.8701 381.0913,-216.8701"/>
</g>
<!-- ReviewUnitModule -->
<g id="node30" class="node">
<title>ReviewUnitModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="2766.7008,-263 2763.7008,-267 2742.7008,-267 2739.7008,-263 2639.2992,-263 2639.2992,-227 2766.7008,-227 2766.7008,-263"/>
<text text-anchor="middle" x="2703" y="-240.8" font-family="Times,serif" font-size="14.00" fill="#000000">ReviewUnitModule</text>
</g>
<!-- SharedModule&#45;&gt;ReviewUnitModule -->
<g id="edge30" class="edge">
<title>SharedModule&#45;&gt;ReviewUnitModule</title>
<path fill="none" stroke="#000000" d="M2231.8074,-198.3228C2231.8074,-221.6602 2231.8074,-259 2231.8074,-259 2231.8074,-259 2628.9625,-259 2628.9625,-259"/>
<polygon fill="#000000" stroke="#000000" points="2628.9625,-262.5001 2638.9625,-259 2628.9625,-255.5001 2628.9625,-262.5001"/>
</g>
<!-- TeamsModule -->
<g id="node35" class="node">
<title>TeamsModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="3470.3669,-263 3467.3669,-267 3446.3669,-267 3443.3669,-263 3373.6331,-263 3373.6331,-227 3470.3669,-227 3470.3669,-263"/>
<text text-anchor="middle" x="3422" y="-240.8" font-family="Times,serif" font-size="14.00" fill="#000000">TeamsModule</text>
</g>
<!-- SharedModule&#45;&gt;TeamsModule -->
<g id="edge35" class="edge">
<title>SharedModule&#45;&gt;TeamsModule</title>
<path fill="none" stroke="#000000" d="M2182.5963,-198.1274C2182.5963,-208.7109 2182.5963,-220 2182.5963,-220 2182.5963,-220 3405.8555,-220 3405.8555,-220 3405.8555,-220 3405.8555,-220.6831 3405.8555,-220.6831"/>
<polygon fill="#000000" stroke="#000000" points="3402.3557,-216.8313 3405.8555,-226.8314 3409.3557,-216.8314 3402.3557,-216.8313"/>
</g>
<!-- UsersModule -->
<g id="node39" class="node">
<title>UsersModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="3888.9218,-263 3885.9218,-267 3864.9218,-267 3861.9218,-263 3797.0782,-263 3797.0782,-227 3888.9218,-227 3888.9218,-263"/>
<text text-anchor="middle" x="3843" y="-240.8" font-family="Times,serif" font-size="14.00" fill="#000000">UsersModule</text>
</g>
<!-- SharedModule&#45;&gt;UsersModule -->
<g id="edge39" class="edge">
<title>SharedModule&#45;&gt;UsersModule</title>
<path fill="none" stroke="#000000" d="M2199,-198.0449C2199,-205.749 2199,-213 2199,-213 2199,-213 3809.8361,-213 3809.8361,-213 3809.8361,-213 3809.8361,-216.7566 3809.8361,-216.7566"/>
<polygon fill="#000000" stroke="#000000" points="3806.3362,-216.7566 3809.8361,-226.7566 3813.3362,-216.7566 3806.3362,-216.7566"/>
</g>
<!-- ServerErrorInterceptor -->
<g id="node13" class="node">
<title>ServerErrorInterceptor</title>
<ellipse fill="#fdb462" stroke="#000000" cx="764" cy="-180" rx="98.9318" ry="18"/>
<text text-anchor="middle" x="764" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">ServerErrorInterceptor</text>
</g>
<!-- ServerErrorInterceptor&#45;&gt;AppModule -->
<g id="edge13" class="edge">
<title>ServerErrorInterceptor&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M764,-198.0449C764,-219.6623 764,-253 764,-253 764,-253 1398.1203,-253 1398.1203,-253"/>
<polygon fill="#000000" stroke="#000000" points="1398.1203,-256.5001 1408.1203,-253 1398.1202,-249.5001 1398.1203,-256.5001"/>
</g>
<!-- ResetPasswordComponent -->
<g id="node14" class="node">
<title>ResetPasswordComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="625.087,-198 458.913,-198 458.913,-162 625.087,-162 625.087,-198"/>
<text text-anchor="middle" x="542" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">ResetPasswordComponent</text>
</g>
<!-- ResetPasswordComponent&#45;&gt;AuthModule -->
<g id="edge14" class="edge">
<title>ResetPasswordComponent&#45;&gt;AuthModule</title>
<path fill="none" stroke="#000000" d="M542,-198.0908C542,-221.1328 542,-258 542,-258 542,-258 423.8479,-258 423.8479,-258"/>
<polygon fill="#000000" stroke="#000000" points="423.8479,-254.5001 413.8479,-258 423.8479,-261.5001 423.8479,-254.5001"/>
</g>
<!-- SendEmailComponent -->
<g id="node15" class="node">
<title>SendEmailComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="441.2688,-198 298.7312,-198 298.7312,-162 441.2688,-162 441.2688,-198"/>
<text text-anchor="middle" x="370" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">SendEmailComponent</text>
</g>
<!-- SendEmailComponent&#45;&gt;AuthModule -->
<g id="edge15" class="edge">
<title>SendEmailComponent&#45;&gt;AuthModule</title>
<path fill="none" stroke="#000000" d="M355.4088,-198.1061C355.4088,-198.1061 355.4088,-216.991 355.4088,-216.991"/>
<polygon fill="#000000" stroke="#000000" points="351.9089,-216.9909 355.4088,-226.991 358.9089,-216.991 351.9089,-216.9909"/>
</g>
<!-- SigninComponent -->
<g id="node16" class="node">
<title>SigninComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="280.8962,-198 163.1038,-198 163.1038,-162 280.8962,-162 280.8962,-198"/>
<text text-anchor="middle" x="222" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">SigninComponent</text>
</g>
<!-- SigninComponent&#45;&gt;AuthModule -->
<g id="edge16" class="edge">
<title>SigninComponent&#45;&gt;AuthModule</title>
<path fill="none" stroke="#000000" d="M222,-198.0225C222,-215.3734 222,-239 222,-239 222,-239 316.3956,-239 316.3956,-239"/>
<polygon fill="#000000" stroke="#000000" points="316.3956,-242.5001 326.3956,-239 316.3956,-235.5001 316.3956,-242.5001"/>
</g>
<!-- SignupComponent -->
<g id="node17" class="node">
<title>SignupComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="145.5056,-198 24.4944,-198 24.4944,-162 145.5056,-162 145.5056,-198"/>
<text text-anchor="middle" x="85" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">SignupComponent</text>
</g>
<!-- SignupComponent&#45;&gt;AuthModule -->
<g id="edge17" class="edge">
<title>SignupComponent&#45;&gt;AuthModule</title>
<path fill="none" stroke="#000000" d="M85,-198.2843C85,-219.3211 85,-251 85,-251 85,-251 316.4044,-251 316.4044,-251"/>
<polygon fill="#000000" stroke="#000000" points="316.4044,-254.5001 326.4044,-251 316.4044,-247.5001 316.4044,-254.5001"/>
</g>
<!-- AuthService -->
<g id="node19" class="node">
<title>AuthService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="1633" cy="-104" rx="59.1083" ry="18"/>
<text text-anchor="middle" x="1633" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">AuthService</text>
</g>
<!-- AuthService&#45;&gt;CoreModule -->
<g id="edge19" class="edge">
<title>AuthService&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M1653.1239,-121.0613C1653.1239,-136.5549 1653.1239,-157 1653.1239,-157 1653.1239,-157 2059.0795,-157 2059.0795,-157 2059.0795,-157 2059.0795,-157.4878 2059.0795,-157.4878"/>
<polygon fill="#000000" stroke="#000000" points="2055.5797,-151.8776 2059.0795,-161.8777 2062.5797,-151.8778 2055.5797,-151.8776"/>
</g>
<!-- MessagingService -->
<g id="node20" class="node">
<title>MessagingService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="2274" cy="-104" rx="81.6596" ry="18"/>
<text text-anchor="middle" x="2274" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">MessagingService</text>
</g>
<!-- MessagingService&#45;&gt;CoreModule -->
<g id="edge20" class="edge">
<title>MessagingService&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M2206.1805,-114.3174C2206.1805,-120.8223 2206.1805,-128 2206.1805,-128 2206.1805,-128 2116.9205,-128 2116.9205,-128 2116.9205,-128 2116.9205,-151.8129 2116.9205,-151.8129"/>
<polygon fill="#000000" stroke="#000000" points="2113.4206,-151.8129 2116.9205,-161.8129 2120.4206,-151.813 2113.4206,-151.8129"/>
</g>
<!-- ReviewUnitService -->
<g id="node21" class="node">
<title>ReviewUnitService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="2088" cy="-104" rx="86.8126" ry="18"/>
<text text-anchor="middle" x="2088" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ReviewUnitService</text>
</g>
<!-- ReviewUnitService&#45;&gt;CoreModule -->
<g id="edge21" class="edge">
<title>ReviewUnitService&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M2102.4603,-122.0109C2102.4603,-122.0109 2102.4603,-151.855 2102.4603,-151.855"/>
<polygon fill="#000000" stroke="#000000" points="2098.9604,-151.8549 2102.4603,-161.855 2105.9604,-151.855 2098.9604,-151.8549"/>
</g>
<!-- TeamsService -->
<g id="node22" class="node">
<title>TeamsService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="1918" cy="-104" rx="65.9658" ry="18"/>
<text text-anchor="middle" x="1918" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">TeamsService</text>
</g>
<!-- TeamsService&#45;&gt;CoreModule -->
<g id="edge22" class="edge">
<title>TeamsService&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M1940.6727,-121.1501C1940.6727,-132.3852 1940.6727,-145 1940.6727,-145 1940.6727,-145 2088,-145 2088,-145 2088,-145 2088,-151.68 2088,-151.68"/>
<polygon fill="#000000" stroke="#000000" points="2084.5001,-151.6799 2088,-161.68 2091.5001,-151.68 2084.5001,-151.6799"/>
</g>
<!-- UsersService -->
<g id="node23" class="node">
<title>UsersService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="1772" cy="-104" rx="61.9519" ry="18"/>
<text text-anchor="middle" x="1772" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">UsersService</text>
</g>
<!-- UsersService&#45;&gt;CoreModule -->
<g id="edge23" class="edge">
<title>UsersService&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M1801.8246,-119.9121C1801.8246,-133.5471 1801.8246,-151 1801.8246,-151 1801.8246,-151 2073.5397,-151 2073.5397,-151 2073.5397,-151 2073.5397,-152.0799 2073.5397,-152.0799"/>
<polygon fill="#000000" stroke="#000000" points="2070.0398,-151.7985 2073.5397,-161.7985 2077.0398,-151.7986 2070.0398,-151.7985"/>
</g>
<!-- DropZoneDirective -->
<g id="node24" class="node">
<title>DropZoneDirective</title>
<polygon fill="#ffffb3" stroke="#000000" points="2617.6178,-198 2492.3822,-198 2492.3822,-162 2617.6178,-162 2617.6178,-198"/>
<text text-anchor="middle" x="2555" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">DropZoneDirective</text>
</g>
<!-- DropZoneDirective&#45;&gt;ReviewUnitModule -->
<g id="edge24" class="edge">
<title>DropZoneDirective&#45;&gt;ReviewUnitModule</title>
<path fill="none" stroke="#000000" d="M2555,-198.2843C2555,-219.3211 2555,-251 2555,-251 2555,-251 2629.3758,-251 2629.3758,-251"/>
<polygon fill="#000000" stroke="#000000" points="2629.3758,-254.5001 2639.3758,-251 2629.3757,-247.5001 2629.3758,-254.5001"/>
</g>
<!-- ReviewUnitCreateComponent -->
<g id="node25" class="node">
<title>ReviewUnitCreateComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="2473.5154,-198 2288.4846,-198 2288.4846,-162 2473.5154,-162 2473.5154,-198"/>
<text text-anchor="middle" x="2381" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">ReviewUnitCreateComponent</text>
</g>
<!-- ReviewUnitCreateComponent&#45;&gt;ReviewUnitModule -->
<g id="edge25" class="edge">
<title>ReviewUnitCreateComponent&#45;&gt;ReviewUnitModule</title>
<path fill="none" stroke="#000000" d="M2381,-198.1554C2381,-220.3519 2381,-255 2381,-255 2381,-255 2629.3832,-255 2629.3832,-255"/>
<polygon fill="#000000" stroke="#000000" points="2629.3832,-258.5001 2639.3832,-255 2629.3831,-251.5001 2629.3832,-258.5001"/>
</g>
<!-- ReviewUnitPreviewComponent -->
<g id="node26" class="node">
<title>ReviewUnitPreviewComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="3323.3529,-198 3128.6471,-198 3128.6471,-162 3323.3529,-162 3323.3529,-198"/>
<text text-anchor="middle" x="3226" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">ReviewUnitPreviewComponent</text>
</g>
<!-- ReviewUnitPreviewComponent&#45;&gt;ReviewUnitModule -->
<g id="edge26" class="edge">
<title>ReviewUnitPreviewComponent&#45;&gt;ReviewUnitModule</title>
<path fill="none" stroke="#000000" d="M3226,-198.2921C3226,-220.2057 3226,-254 3226,-254 3226,-254 2776.6072,-254 2776.6072,-254"/>
<polygon fill="#000000" stroke="#000000" points="2776.6072,-250.5001 2766.6072,-254 2776.6072,-257.5001 2776.6072,-250.5001"/>
</g>
<!-- ReviewUnitsComponent -->
<g id="node27" class="node">
<title>ReviewUnitsComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="3110.4284,-198 2955.5716,-198 2955.5716,-162 3110.4284,-162 3110.4284,-198"/>
<text text-anchor="middle" x="3033" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">ReviewUnitsComponent</text>
</g>
<!-- ReviewUnitsComponent&#45;&gt;ReviewUnitModule -->
<g id="edge27" class="edge">
<title>ReviewUnitsComponent&#45;&gt;ReviewUnitModule</title>
<path fill="none" stroke="#000000" d="M3033,-198.1061C3033,-217.3391 3033,-245 3033,-245 3033,-245 2776.6273,-245 2776.6273,-245"/>
<polygon fill="#000000" stroke="#000000" points="2776.6274,-241.5001 2766.6273,-245 2776.6273,-248.5001 2776.6274,-241.5001"/>
</g>
<!-- UploadTaskComponent -->
<g id="node28" class="node">
<title>UploadTaskComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="2937.7562,-198 2788.2438,-198 2788.2438,-162 2937.7562,-162 2937.7562,-198"/>
<text text-anchor="middle" x="2863" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">UploadTaskComponent</text>
</g>
<!-- UploadTaskComponent&#45;&gt;ReviewUnitModule -->
<g id="edge28" class="edge">
<title>UploadTaskComponent&#45;&gt;ReviewUnitModule</title>
<path fill="none" stroke="#000000" d="M2863,-198.027C2863,-214.3976 2863,-236 2863,-236 2863,-236 2776.696,-236 2776.696,-236"/>
<polygon fill="#000000" stroke="#000000" points="2776.696,-232.5001 2766.696,-236 2776.6959,-239.5001 2776.696,-232.5001"/>
</g>
<!-- UploaderComponent -->
<g id="node29" class="node">
<title>UploaderComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="2769.9201,-198 2636.0799,-198 2636.0799,-162 2769.9201,-162 2769.9201,-198"/>
<text text-anchor="middle" x="2703" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">UploaderComponent</text>
</g>
<!-- UploaderComponent&#45;&gt;ReviewUnitModule -->
<g id="edge29" class="edge">
<title>UploaderComponent&#45;&gt;ReviewUnitModule</title>
<path fill="none" stroke="#000000" d="M2703,-198.1061C2703,-198.1061 2703,-216.991 2703,-216.991"/>
<polygon fill="#000000" stroke="#000000" points="2699.5001,-216.9909 2703,-226.991 2706.5001,-216.991 2699.5001,-216.9909"/>
</g>
<!-- TagsComponent -->
<g id="node31" class="node">
<title>TagsComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="2666.0452,-122 2557.9548,-122 2557.9548,-86 2666.0452,-86 2666.0452,-122"/>
<text text-anchor="middle" x="2612" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">TagsComponent</text>
</g>
<!-- TagsComponent&#45;&gt;SharedModule -->
<g id="edge31" class="edge">
<title>TagsComponent&#45;&gt;SharedModule</title>
<path fill="none" stroke="#000000" d="M2587.7683,-122.4218C2587.7683,-131.2791 2587.7683,-140 2587.7683,-140 2587.7683,-140 2234.2009,-140 2234.2009,-140 2234.2009,-140 2234.2009,-151.8726 2234.2009,-151.8726"/>
<polygon fill="#000000" stroke="#000000" points="2230.701,-151.8725 2234.2009,-161.8726 2237.701,-151.8726 2230.701,-151.8725"/>
</g>
<!-- TimestampComponent -->
<g id="node32" class="node">
<title>TimestampComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="2540.3216,-122 2395.6784,-122 2395.6784,-86 2540.3216,-86 2540.3216,-122"/>
<text text-anchor="middle" x="2468" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">TimestampComponent</text>
</g>
<!-- TimestampComponent&#45;&gt;SharedModule -->
<g id="edge32" class="edge">
<title>TimestampComponent&#45;&gt;SharedModule</title>
<path fill="none" stroke="#000000" d="M2434.7984,-122.1432C2434.7984,-128.4611 2434.7984,-134 2434.7984,-134 2434.7984,-134 2220.1907,-134 2220.1907,-134 2220.1907,-134 2220.1907,-151.8196 2220.1907,-151.8196"/>
<polygon fill="#000000" stroke="#000000" points="2216.6908,-151.8195 2220.1907,-161.8196 2223.6908,-151.8196 2216.6908,-151.8195"/>
</g>
<!-- CreateTeamComponent -->
<g id="node33" class="node">
<title>CreateTeamComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="3648.7366,-198 3499.2634,-198 3499.2634,-162 3648.7366,-162 3648.7366,-198"/>
<text text-anchor="middle" x="3574" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">CreateTeamComponent</text>
</g>
<!-- CreateTeamComponent&#45;&gt;TeamsModule -->
<g id="edge33" class="edge">
<title>CreateTeamComponent&#45;&gt;TeamsModule</title>
<path fill="none" stroke="#000000" d="M3574,-198.1061C3574,-217.3391 3574,-245 3574,-245 3574,-245 3480.5117,-245 3480.5117,-245"/>
<polygon fill="#000000" stroke="#000000" points="3480.5117,-241.5001 3470.5117,-245 3480.5116,-248.5001 3480.5117,-241.5001"/>
</g>
<!-- TeamsComponent -->
<g id="node34" class="node">
<title>TeamsComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="3481.1499,-198 3362.8501,-198 3362.8501,-162 3481.1499,-162 3481.1499,-198"/>
<text text-anchor="middle" x="3422" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">TeamsComponent</text>
</g>
<!-- TeamsComponent&#45;&gt;TeamsModule -->
<g id="edge34" class="edge">
<title>TeamsComponent&#45;&gt;TeamsModule</title>
<path fill="none" stroke="#000000" d="M3438.1445,-198.1061C3438.1445,-198.1061 3438.1445,-216.991 3438.1445,-216.991"/>
<polygon fill="#000000" stroke="#000000" points="3434.6446,-216.9909 3438.1445,-226.991 3441.6446,-216.991 3434.6446,-216.9909"/>
</g>
<!-- DashboardComponent -->
<g id="node36" class="node">
<title>DashboardComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="3994.9734,-198 3853.0266,-198 3853.0266,-162 3994.9734,-162 3994.9734,-198"/>
<text text-anchor="middle" x="3924" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">DashboardComponent</text>
</g>
<!-- DashboardComponent&#45;&gt;UsersModule -->
<g id="edge36" class="edge">
<title>DashboardComponent&#45;&gt;UsersModule</title>
<path fill="none" stroke="#000000" d="M3870.8619,-198.1061C3870.8619,-198.1061 3870.8619,-216.991 3870.8619,-216.991"/>
<polygon fill="#000000" stroke="#000000" points="3867.3619,-216.9909 3870.8619,-226.991 3874.3619,-216.991 3867.3619,-216.9909"/>
</g>
<!-- UserProfileComponent -->
<g id="node37" class="node">
<title>UserProfileComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="3834.8585,-198 3689.1415,-198 3689.1415,-162 3834.8585,-162 3834.8585,-198"/>
<text text-anchor="middle" x="3762" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">UserProfileComponent</text>
</g>
<!-- UserProfileComponent&#45;&gt;UsersModule -->
<g id="edge37" class="edge">
<title>UserProfileComponent&#45;&gt;UsersModule</title>
<path fill="none" stroke="#000000" d="M3822.3827,-198.1061C3822.3827,-198.1061 3822.3827,-216.991 3822.3827,-216.991"/>
<polygon fill="#000000" stroke="#000000" points="3818.8828,-216.9909 3822.3827,-226.991 3825.8828,-216.991 3818.8828,-216.9909"/>
</g>
<!-- UsersComponent -->
<g id="node38" class="node">
<title>UsersComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="4126.7036,-198 4013.2964,-198 4013.2964,-162 4126.7036,-162 4126.7036,-198"/>
<text text-anchor="middle" x="4070" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">UsersComponent</text>
</g>
<!-- UsersComponent&#45;&gt;UsersModule -->
<g id="edge38" class="edge">
<title>UsersComponent&#45;&gt;UsersModule</title>
<path fill="none" stroke="#000000" d="M4070,-198.1061C4070,-217.3391 4070,-245 4070,-245 4070,-245 3898.9368,-245 3898.9368,-245"/>
<polygon fill="#000000" stroke="#000000" points="3898.9369,-241.5001 3888.9368,-245 3898.9368,-248.5001 3898.9369,-241.5001"/>
</g>
</g>
</svg>

    </div>
    <i id="fullscreen" class="icon ion-ios-resize module-graph-fullscreen-btn" aria-hidden="true"></i>
    <div class="btn-group">
        <button id="zoom-in" class="btn btn-default btn-sm">Zoom in</button>
        <button id="reset" class="btn btn-default btn-sm">Reset</button>
        <button id="zoom-out" class="btn btn-default btn-sm">Zoom out</button>
    </div>
</div>
  
<div class="container-fluid overview">
    <div class="row">
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-ios-archive"></span></h4>
                    <p class="card-text">
                        <a href="./modules.html">8 Modules</a>
                    </p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-md-cog"></span></h4>
                    <p class="card-text">23 Components</p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-md-code-working"></span></h4>
                    <p class="card-text">1 Directive</p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-md-arrow-round-down"></span></h4>
                    <p class="card-text">5 Injectables</p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-ios-lock"></span></h4>
                    <p class="card-text">3 Guards</p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-md-information-circle-outline"></span></h4>
                    <p class="card-text">5 Interfaces</p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-ios-git-branch"></span></h4>
                    <p class="card-text">
                        <a href="./routes.html">27 Routes</a>
                    </p>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="js/libs/svg-pan-zoom.min.js"></script>
<script src="js/svg-pan-zoom.controls.js"></script> 











                   




                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 0;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'overview';
            var COMPODOC_CURRENT_PAGE_URL = 'overview.html';
       </script>

       <script src="./js/libs/custom-elements.min.js"></script>
       <script src="./js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="./js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="./js/menu-wc.js" defer></script>

       <script src="./js/libs/bootstrap-native.js"></script>

       <script src="./js/libs/es6-shim.min.js"></script>
       <script src="./js/libs/EventDispatcher.js"></script>
       <script src="./js/libs/promise.min.js"></script>
       <script src="./js/libs/zepto.min.js"></script>

       <script src="./js/compodoc.js"></script>

       <script src="./js/tabs.js"></script>
       <script src="./js/menu.js"></script>
       <script src="./js/libs/clipboard.min.js"></script>
       <script src="./js/libs/prism.js"></script>
       <script src="./js/sourceCode.js"></script>
          <script src="./js/search/search.js"></script>
          <script src="./js/search/lunr.min.js"></script>
          <script src="./js/search/search-lunr.js"></script>
          <script src="./js/search/search_index.js"></script>
       <script src="./js/lazy-load-graphs.js"></script>


    </body>
</html>
